package com.template.services;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.template.model.pojo.ActivityReport;
import com.template.model.pojo.ActivityReport;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;
import com.template.model.vo.ActivityDetailExcelVo;
import com.template.model.vo.AlumniMyActivityPageVo;
import com.template.model.vo.AlumniMyJoinActivityPageVo;
import com.template.model.vo.UserVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-11-27
 */
public interface ActivityReportService extends IService<ActivityReport> {
    int insertActivityReport(ActivityReport au);

    int updateActivityReport(ActivityReport au);

    ActivityReport queryDataById(Integer id);

    int deleteDataById(Integer id);

    List<UserVo> queryReportDatasByActivityId(Integer activityId);

    int queryActivityReportNumber(Integer activityId);

    List<ActivityDetailExcelVo> activityDetailByActivityIds(List<Integer> activityIds);

    PageUtils<AlumniMyJoinActivityPageVo> queryMyJoinActivityPages(int currentPage, int pageCount, Integer userId);
}
